Name:		numactl
Summary:	library for tuning for Non Uniform Memory Access machines
Version:	0.9.10
Release:	1 
License:	LGPL/GPL
Group: 		System Environment/Base
URL: 		http://freshmeat.net/projects/numactl
Source0: 	numactl-%{version}.tar.gz 
Patch1:		fixopts.diff
Buildroot:	%{_tmppath}/%{name}-buildroot
%define debug_package %{nil}
%ifarch ppc
%define _libdir /usr/lib
%endif
ExcludeArch: s390 s390x


%description
Simple NUMA policy support. It consists of a numactl program to run
other programs with a specific NUMA policy and a libnuma to do
allocations with NUMA policy in applications.

%package devel
Summary: Development package for building Applications that use numa
Group: System Environment/Libraries
Provides: numactl-devel 

%description devel
Provides development headers for numa library calls

%prep
%setup -q -c -a 0
%patch1

%build
cd numactl-%{version}
%ifarch ppc64
export CC="gcc -m64"
%endif
make CFLAGS="$RPM_OPT_FLAGS -I. -fPIC"

%install
#rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8


cd numactl-%{version}
make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libnuma.so.1
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_bindir}/migratepages
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libnuma.so
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_mandir}/man3/*.3*


